Package org.eclipse.mat.report.internal

## Class QueryPart

- java.lang.Object
- - org.eclipse.mat.report.internal.AbstractPart
  - - org.eclipse.mat.report.internal.QueryPart

    public class QueryPart
    extends AbstractPart

### Constructor Summary

Constructors
`QueryPart​(String id, AbstractPart parent, DataFile artefact, QuerySpec spec)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractPart` `execute​(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`
`String` `getCommand()`
`QuerySpec` `spec()`

### Methods inherited from class org.eclipse.mat.report.internal.AbstractPart

`getChildren, getId, getObject, getParent, getStatus, params, putObject`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryPart

    public QueryPart​(String id,
                     AbstractPart parent,
                     DataFile artefact,
                     QuerySpec spec)

### Method Detail

#### spec

    public QuerySpec spec()

Overrides:
  `spec` in class `AbstractPart`

#### getCommand

    public String getCommand()

Overrides:
  `getCommand` in class `AbstractPart`

#### execute

    public AbstractPart execute​(IQueryContext context,
                                ResultRenderer renderer,
                                IProgressListener listener)
                         throws SnapshotException,
                                IOException

Specified by:
  `execute` in class `AbstractPart`
Throws:
  `SnapshotException`
  `IOException`